FIX::SocketException Struct Reference

Socket Error. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::SocketException:
[legend]
Collaboration diagram for FIX::SocketException:
[legend]

## Public Member Functions

| SocketException ()
| SocketException (const std::string &what)
Public Member Functions inherited from FIX::Exception
| Exception (const std::string &t, const std::string &d)
| ~Exception () throw ()

## Static Public Member Functions

static std::string | errorToWhat ()

## Additional Inherited Members

Public Attributes inherited from FIX::Exception
std::string | type
std::string | detail

## Detailed Description

Socket Error.

Definition at line 262 of file Exceptions.h.

## Constructor & Destructor Documentation

## SocketException() [1/2]

FIX::SocketException::SocketException | ( |  | ) |

inline

Definition at line 264 of file Exceptions.h.

: public SocketException

Referenced by errorToWhat(), and FIX::RejectLogon::RejectLogon().

## SocketException() [2/2]

FIX::SocketException::SocketException | ( | const std::string & | what | ) |

inline

Definition at line 267 of file Exceptions.h.

: public SocketException

## Member Function Documentation

## errorToWhat()

static std::string FIX::SocketException::errorToWhat | ( |  | ) |

inline static

Definition at line 270 of file Exceptions.h.

: public SocketException
{
SocketSendFailed() {}
SocketSendFailed( const std::string& what )
: SocketException( what ) {}
};
struct SocketRecvFailed : public SocketException
{
SocketRecvFailed( ssize_t size )
: SocketException( size == 0 ? "Connection reset by peer." : size < 0 ? errorToWhat() : "Success." ) {}
SocketRecvFailed( const std::string& what )
: SocketException( what ) {}

References SocketException(), and FIX::SocketSendFailed::SocketSendFailed().

The documentation for this struct was generated from the following file:

- Exceptions.h

FIX::SocketException::errorToWhat
static std::string errorToWhat()
Definition: Exceptions.h:270
FIX::SocketException::SocketException
SocketException()
Definition: Exceptions.h:264